View Issue Details

IDProjectCategoryLast Update
0021731AI War 2[All Projects] Gameplay IdeaDec 13, 2019 9:18 pm
Reporterx4000BughunterAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.896 Strength and Control 
Fixed in Version1.016 Back From Beta 
Summary0021731: New way to summon outguard (formerly mercenaries).
DescriptionThe way that mercenaries currently work is pretty annoying, and not thematically something that makes a lot of sense, either. Their name doesn't even really fit, thematically, so I've changed them to "Outguard" everywhere that we can see on the UI, but in the back-end it still says mercenaries since that's a lot of code and would break old savegames.

Overall how you FIND the outguard is something that I'm cool with at the moment. But how you HIRE them, and how many times you can hire them, I'm not a fan of.

Based on talking with Puffin and others in the forums, I'd like to go for a simple change for now. This would move away from the " if you pay them metal and/or hacking points" text/code.

Essentially, this would be the new flow:

1. By hacking an outguard beacon, you gain the ability to call them once, at any time. This would be something like a "number of calls available" counter or something.

2. For every 100 AIP that you gain, it would give you one more call to every outguard group.

3. Ideally, if I've gotten 200 AIP prior to hacking an outguard beacon, then hack that beacon, I'd start out with 3 calls available for them.

4. I'm thinking that a cooldown timer between calling a specific outguard faction might be good. Depending on the faction, I'd see it as being something that we set in the data for the specific faction. Could be 30 seconds or 30 minutes, who knows.

5. I also think that summoning the SAME outguard more than once at a time (if the cooldown is short enough and/or they have survived) is A-OK. So if you have two or three versions of the war harvesters, then that's fine. Assuming the code works.

Benefits:

- There's no competition for metal or hacking points between outguard and other functions. There's too much competition for that already.

- The cooldown timer makes it so that you would want to reasonably use these every so often to not have a bunch sitting around idle at the end o f the game, but it's less harsh than the "more than a certain cap and you lose it" idea I was floating on the forums.

- There's a sense of these being permanent groups that can come help you, assuming that they survive, which is of course unlikely but still possible. And one call of them doesn't block the next call.

- This gets into that "home city cards" mechanic from AOE3, to some extent, that I've wanted for a while. With these not competing for other resources, I'd finally actually use these. As it stands, the opportunity cost has always seemed too high for a variety of reasons.


Badger, would this be something that fits into your schedule in the next while? I'd rather not re-train players on all this post-1.0.
TagsNo tags attached.

Activities

BadgerBadger

Oct 3, 2019 5:36 pm

manager   ~0053440

Maybe? I'll see how much time I have the next few weekends.

x4000Bughunter

Oct 3, 2019 5:45 pm

administrator   ~0053441

No worries -- thanks!

ArnaudB

Oct 4, 2019 5:16 am

reporter   ~0053446

Arnaud_defrance from steam here (turn out I did have an account here!)

I read the patch notes this morning and noticed the Outguard thing, so before reading the bit above I brainstormed some idea while making breakfast.

I considered mercenaries you'd call but that's either never-used or abused. Either they stick around and you just stack them on your own world to get energy-free defenses, or they don't and you'd be tempted to spam them against high-threat worlds to capture specific systems with goodies.

A less harsh mechanic than limited use, is as you envisioned, giving them a (max) number of use that recharge over time and a cooldown for use on the same planet. That seems like a good method that shouldn't require too much work to implement.

I went searching for more creative and complex uses using already existing mechanics, was inspired by the "Outguard" name, by the marauders faction and the mention of making the Outguard "more of a minor friendly faction". Then I thought: how about making them vassals?

Specifically I thought about being able to call them on a weakened or neutered planet so they took over the system. They would require a price in metal in order to establish themselves, and would hold the planet. You'd essentially sponsor humains remnants and give them a place to live and participate in the war. You wouldn't get the AIP (or science) for the system until you colonize (or hack) the planet, like for any non-AI faction.
Unlike others, full-fledged, factions they wouldn't be able to naturally invade. Instead every mercenary you won would have a single planet. However you could make them expand by building a command station in their planet, thus taking the AIP cost. Then they would be able to settle on another planet. Depending on balance you'd either get to give them somewhere else again or, more likely to avoid exploits, they'd pick from nearby neutered systems. That way you would develop a cluster of vassals showing humanity helping you, keeping things tidy at home, while you do the heavy work.

I thought of three types of Outguards in such a configuration. The first would be raiders Outguards, hunting and harassing the threat from the AI to weaken it before it can grow and give you information on it. They'd use cloaked and fast ships (notably those with bonus for staying short times on planets) and raid systems neighboring human territory. A lack of tough ships or ships with long-lasting bonus would prevent them from being good at defending against the AI waves, which they'd generally ignore except when it attacks their own systems.
The second type would obviously be defensive Outguards, building patrols at their systems that move around to protect human-held territory from AI attacks. They would use slow ships that rely on your network of logistical nations to respond promptly. They'd prioritize defending their own system, then your homeworlds. They would either have small fleets that replenish quickly, or big fleets that replenish slowly, the former being likely preferable for balance and performance.
The third and final type would be Fortress Outguards, focusing on locking down a system with static defenses. Their only ships would be station-keeping (because snipers). They would serve to block any attacking force, with a particular focus on stopping cloaked and fast ships with tachyton and tractor beams. Potentially they could start with a citadel or be given one, that would give them a bonus set of turrets in addition to a standard loadout (for all outguards). The AI could find some particular incentive in conquering back their systems with usurpers so that those Outguards could be dispersed.

Some additional notes:
-A balancing option would be that you don't get metal extractor on Outguard planets, as they would be leased for the local Outguard to sustain themselves. If it does impact Outguard production that would be even more interesting, because then giving low-metal systems to Outguards wouldn't be an obvious pick. Systems with more metal would give the Outugard either higher fleet caps or make them able to replenish losses faster.
-Tech level would mirror the player tech level for the most part. It feels more balanced and thematically would really make the Outguards as sponsored human remnants using technology from their backer (the player).

There, that all that I came up with. I don't really expect this to make it into the game soon, or anytime at all. Still you might find an idea or two interesting and that would be wortwhile. Have a good day and keep up the good work!

arnaud_defrance

StarKeep

Dec 6, 2019 12:36 am

reporter   ~0054851

Took a stab at some Outguard changes.
Fleets are now free to summon, after the initial hack.
You can now summon multiple fleets of the same type after a cooldown, with no cooldown for summoning different types.
Once a summoned fleet dies, times out, or in the case of fleets that you gain instant control of, spawn, a longer repair timer begins which will grant you a fleet point back.
Fleet slots start at their current vanilla values, and increase by 1 for every X AIP. (Currently set to 100.)
UI updated to give you live updates on your fleets repair and ready status.
Cooldowns are set 5 minutes each, and repair timers are set to 1% of their metal costs, with the exception of mercs that you gain control of, which I set to 2% of their metal cost.
All of these new values are editable in the Mercs XML file.
Included are the changed files, and a screenshot showcasing some of the UI.
(I can't really give line numbers this time, since its a bunch of small tweaks all over the place.)
Even if this doesn't make it in, I hope it offers inspiration for your own changes.

Screenshot.png (1,522,834 bytes)

StarKeep

Dec 6, 2019 12:56 am

reporter   ~0054852

Re uploaded because I'm bad at zipping things up properly.

Outguard Changes.zip (23,934 bytes)

x4000Bughunter

Dec 6, 2019 4:17 pm

administrator   ~0054868

I like the sound of this! I need to get 1.013 out first before I try to implement this, but I like the sound of this very much. I don't think you have svn access, but is that something you'd be interested in to make it easier for you to submit things like this? You've been doing a lot lately and that might be easiest, although I'm not trying to get extra work out of you. ;)

StarKeep

Dec 6, 2019 4:24 pm

reporter   ~0054869

That would be very nice, yeah. Especially in regard to making sure anything I had planned ends up working properly for newer release, or for some of the more radical ideas I don't have a way to really create and offer.

x4000Bughunter

Dec 6, 2019 4:28 pm

administrator   ~0054870

Looks like repository hosting just went down, sigh. I'll add you on Monday, then!

x4000Bughunter

Dec 6, 2019 4:35 pm

administrator   ~0054872

It just came back up. I've set you up with a username and sent you an email based on the email you used with mantis. Cheers!

KDR_11k

Dec 6, 2019 6:48 pm

reporter   ~0054875

I think whatever gets rid of their upfront metal cost is fine since the only time when I think "I need some temporary extra firepower now" is when I've taken a beating and my fleets are rebuilding, that tends to lead to metal starvation at which point calling becomes impossible until all rebuilding is finished.

RocketAssistedPuffin

Dec 13, 2019 9:18 pm

reporter   ~0054991

Completed by StarKelp.

Issue History

Date Modified Username Field Change
Oct 3, 2019 5:25 pm x4000Bughunter New Issue
Oct 3, 2019 5:25 pm x4000Bughunter Status new => assigned
Oct 3, 2019 5:25 pm x4000Bughunter Assigned To => BadgerBadger
Oct 3, 2019 5:36 pm BadgerBadger Note Added: 0053440
Oct 3, 2019 5:45 pm x4000Bughunter Note Added: 0053441
Oct 4, 2019 5:16 am ArnaudB Note Added: 0053446
Oct 18, 2019 4:11 pm x4000Bughunter Assigned To BadgerBadger => x4000Bughunter
Dec 6, 2019 12:36 am StarKeep File Added: Outguard Changes.zip
Dec 6, 2019 12:36 am StarKeep File Added: Screenshot.png
Dec 6, 2019 12:36 am StarKeep Note Added: 0054851
Dec 6, 2019 12:42 am StarKeep File Deleted: Outguard Changes.zip
Dec 6, 2019 12:56 am StarKeep File Added: Outguard Changes.zip
Dec 6, 2019 12:56 am StarKeep Note Added: 0054852
Dec 6, 2019 4:17 pm x4000Bughunter Note Added: 0054868
Dec 6, 2019 4:24 pm StarKeep Note Added: 0054869
Dec 6, 2019 4:28 pm x4000Bughunter Note Added: 0054870
Dec 6, 2019 4:35 pm x4000Bughunter Note Added: 0054872
Dec 6, 2019 6:48 pm KDR_11k Note Added: 0054875
Dec 13, 2019 9:18 pm RocketAssistedPuffin Status assigned => resolved
Dec 13, 2019 9:18 pm RocketAssistedPuffin Resolution open => fixed
Dec 13, 2019 9:18 pm RocketAssistedPuffin Fixed in Version => 1.016 Back From Beta
Dec 13, 2019 9:18 pm RocketAssistedPuffin Note Added: 0054991